#
# specfile for package xdemorse
#

Name:           xdemorse
Version:        3.0
Release:        1.2
Summary:        Simple morse decoder for X11
License:        GPL-2.0
Group:          Productivity/Hamradio/Morse
Url:            http://www.qsl.net/5b4az/pages/morse.html
Source:         http://www.qsl.net/5b4az/pkg/morse/xdemorse/xdemorse-%{version}.tar.bz2
Source1:        xdemorse.png

BuildRequires:  alsa-devel
BuildRequires:  gcc-c++
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  update-desktop-files

%description
Xdemorse is a simple morse decoder for X11

%prep

%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
%configure
make %{?_smp_mflags}

%install
# make install does not create this directory
mkdir -p %{buildroot}/%{_datadir}/doc/%{name}/examples
%make_install
%suse_update_desktop_file -c xdemorse Xdemorse "morse decoder" xdemorse xdemorse "Network;HamRadio"

%files
%defattr(-,root,root,-)
%{_bindir}/*
%doc AUTHORS ChangeLog README COPYING
%{_datadir}/doc/%{name}
%{_datadir}/pixmaps/%{name}.png 
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun Jul 30 2017 dl8fcl@darc.de
- updated to version 3.0
  Desktop file added
* Thu Aug 16 2012 seife+obs@b1-systems.com
- fix build for 12.2 (add automake buildreq)
* Sat May  5 2012 seife+obs@b1-systems.com
- update to version 2.2 which builds again on openSUSE >= 12.1
* Sat May  8 2010 packman@links2linux.de - 2.1
- first packman build
- updated to version 2.1
- added sample configuration file
- spec cleanup
* Fri Apr 17 2009 dl9pf@gmx.de
- updated to new version
* Sat Oct  4 2008 dl8fcl@darc.de
- updated for openSUSE_Factory
